%global libhandy_version 1.5.0

Name:           gnome-disk-utility
Version:        43.0
Release:        1
Summary:        Libraries and applications for dealing with storage devices
License:        GPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-disk-utility
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc pkgconfig(gmodule-2.0) pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(udisks2) pkgconfig(gtk+-3.0) pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(pwquality) pkgconfig(libcanberra-gtk3) pkgconfig(dvdread)
BuildRequires:  pkgconfig(libnotify) pkgconfig(liblzma) pkgconfig(libsystemd)
BuildRequires:  gettext libxslt docbook-style-xsl desktop-file-utils libappstream-glib
BuildRequires:  pkgconfig(libhandy-1) >= %{libhandy_version}

Requires:       udisks2
Requires:       libhandy%{?_isa} >= %{libhandy_version}

%description
This gnome-disk-utility repository provides libraries and applications for
dealing with storage devices.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-disks*
%{_datadir}/icons/hicolor/*/apps/org.gnome.DiskUtility*
%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_libexecdir}/gsd-disk-utility-notify

%files help
%{_mandir}/man1/*

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43.0-1
- update to 43.0

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Update to 42.0

* Tue Jun 22 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.2-1
- Upgrade to 3.38.2

* Wed Dec 11 2019 lingsheng <lingsheng@huawei.com> - 3.30.2-2
- Package init
